{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://jira.requirementyogi.com","description":"Generated server url"}],"tags":[{"description":"API endpoints for managing test executions.","name":"test-execution-controller"},{"description":"API endpoints for managing test cases.","name":"test-case-controller"},{"description":"Allows users to get/modify/delete their zephyr scale api tokens\n Allows admins to mark that they have installed / uninstalled the zephyr scale app.","name":"zephyr-scale-controller"},{"description":"XRay integration endpoints.\n <p>\n Credentials are managed by admins: an admin enables the integration, sets the instance-wide region, and assigns a\n client-id/secret to each user. Regular users only get a read-only view of their own credential status.","name":"x-ray-controller"}],"paths":{"/health":{"get":{"description":"Just a URL that we can hit to check the plugin is online and alive.\n <p>\n BEWARE This is publicly accessible without authentication. Only return global statistics.\n </p>","operationId":"getInfo","responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"description":"OK"}},"summary":"Just a URL that we can hit to check the plugin is online and alive","tags":["health-controller"]}},"/rest/about":{"get":{"operationId":"getLicenses","responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/JsonNode"}}},"description":"OK"}},"tags":["about-controller"]}},"/rest/about/licenses":{"get":{"operationId":"getMavenLicenses","responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/MavenLicenseSummary"}}},"description":"OK"}},"tags":["about-controller"]}},"/rest/addon/configuration/apps":{"get":{"deprecated":true,"description":"Returns the Forge application identifiers and environment identifiers of the supported applications\n in the current cloud environment.","operationId":"retrieveAppIds","responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOApplicationIds"}}},"description":"OK"}},"summary":"Returns the Forge application identifiers and environment identifiers of the supported applications\n in the current cloud environment.","tags":["addon-configuration-controller"]}},"/rest/addon/configuration/migration-enabled":{"get":{"operationId":"isMigrationEnabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["addon-configuration-controller"]}},"/rest/addon/configuration/risk-enabled":{"get":{"operationId":"isRiskEnabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["addon-configuration-controller"]}},"/rest/addon/configuration/suspect-enabled":{"get":{"operationId":"isSuspectEnabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["addon-configuration-controller"]}},"/rest/addon/configuration/testing-enabled":{"get":{"operationId":"isTestingEnabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["addon-configuration-controller"]}},"/rest/addon/configuration/xray-enabled":{"get":{"operationId":"isXrayEnabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["addon-configuration-controller"]}},"/rest/adf/convert":{"post":{"description":"Converts an ADF document into a different format.","operationId":"convertAdf","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAdfConvertRequest"}}},"description":"the ADF document to convert","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAdfConvertResponse"}}},"description":"the converted ADF document"}},"summary":"Converts an ADF document into a different format.","tags":["adf-controller"]}},"/rest/applications/current":{"get":{"description":"Finds the current application.\n <p>\n Required permissions: None (anyone can view the current application they are authenticated with).\n </p>","operationId":"getCurrentApplication","responses":{"200":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceApplication"},{"$ref":"#/components/schemas/DTOJiraApplication"},{"$ref":"#/components/schemas/DTOStandaloneApplication"}]}}},"description":"the current application"}},"summary":"Finds the current application","tags":["Applications"]}},"/rest/applink":{"post":{"operationId":"createLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApplinkPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["applink-controller"]},"put":{"operationId":"updateLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplinkPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["applink-controller"]}},"/rest/applink/all":{"get":{"operationId":"getAppLinks","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppLinkSummary"}}}},"description":"OK"}},"tags":["applink-controller"]}},"/rest/applink/linked":{"get":{"operationId":"isLinked","responses":{"200":{"content":{"application/json":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["applink-controller"]}},"/rest/applink/with-count":{"get":{"operationId":"getAllAppLinksWithCount","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppLinkSummary"}}}},"description":"OK"}},"tags":["applink-controller"]}},"/rest/applink/with-integration":{"get":{"operationId":"getApplinksWithIntegration","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppLinkSummaryWithIntegration"}}}},"description":"OK"}},"tags":["applink-controller"]}},"/rest/applink/{targetAppId}":{"delete":{"description":"Create a APPLINK_DISSOCIATED job in the uninstallation table\n When user clicks on it, data are removed immediately.\n The plugin is still installed.","operationId":"deleteApplink","parameters":[{"in":"path","name":"targetAppId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Create a APPLINK_DISSOCIATED job in the uninstallation table\n When user clicks on it, data are removed immediately.","tags":["applink-controller"]}},"/rest/containers/jira/projects/{projectId}":{"get":{"description":"Get the project container by id.","operationId":"getProject","parameters":[{"description":"the id of the container","in":"path","name":"projectId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"},{"$ref":"#/components/schemas/DTOWorkspaceContainer"},{"$ref":"#/components/schemas/DTOZephyrTestCaseContainer"}]}}},"description":"the container"}},"summary":"Get the project container by id.","tags":["container-controller"]}},"/rest/content-tree/children":{"post":{"operationId":"getChildren","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentTreePayload"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseNode"},{"$ref":"#/components/schemas/EmbedNode"},{"$ref":"#/components/schemas/ErrorNode"},{"$ref":"#/components/schemas/FolderNode"},{"$ref":"#/components/schemas/PageNode"},{"$ref":"#/components/schemas/RequirementNode"},{"$ref":"#/components/schemas/SpaceNode"},{"$ref":"#/components/schemas/WhiteboardNode"}]}}},"description":"OK"}},"tags":["content-tree-controller"]}},"/rest/content-tree/init":{"post":{"operationId":"createContentTree","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentTreePayload"}}},"required":true},"responses":{"200":{"content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseNode"},{"$ref":"#/components/schemas/EmbedNode"},{"$ref":"#/components/schemas/ErrorNode"},{"$ref":"#/components/schemas/FolderNode"},{"$ref":"#/components/schemas/PageNode"},{"$ref":"#/components/schemas/RequirementNode"},{"$ref":"#/components/schemas/SpaceNode"},{"$ref":"#/components/schemas/WhiteboardNode"}]}}},"description":"OK"}},"tags":["content-tree-controller"]}},"/rest/forge/context":{"get":{"description":"Returns the context of the Forge apps in the current cloud environment.","operationId":"getForgeContext","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOForgeContext"}}},"description":"the context of the Forge apps in the current cloud environment"}},"summary":"Returns the context of the Forge apps in the current cloud environment.","tags":["forge-context-controller"]}},"/rest/groups/champion":{"get":{"description":"Internal use","operationId":"getChampionGroup","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}},"description":"OK"}},"summary":"Internal use","tags":["user-group-controller"]}},"/rest/groups/{groupId}/members":{"get":{"description":"Internal use","operationId":"getGroupMembersByGroupId","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"in":"query","name":"start","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"limit","required":false,"schema":{"type":"integer","format":"int32"}},{"in":"query","name":"shouldReturnTotalSize","required":false,"schema":{"type":"boolean"}},{"in":"query","name":"expand","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserArray"}}},"description":"OK"}},"summary":"Internal use","tags":["user-group-controller"]}},"/rest/integrations/xray":{"get":{"description":"Returns the XRay integration metadata for the current user.\n Only returns metadata, never the credentials.","operationId":"getXRayIntegration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOXRayIntegration"}}},"description":"OK"}},"summary":"Returns the XRay integration metadata for the current user.","tags":["x-ray-controller"]}},"/rest/integrations/xray/credentials":{"get":{"description":"Returns the credential metadata of every user for the current instance. Requires admin permission.","operationId":"listXRayCredentials","responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOXRayIntegration"}}}},"description":"OK"}},"summary":"Returns the credential metadata of every user for the current instance.","tags":["x-ray-controller"]},"post":{"description":"Assigns (creates or replaces) the XRay credentials of a user. Requires admin permission.","operationId":"assignXRayCredentials","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCreateXRayIntegration"}}},"required":true},"responses":{"201":{"description":"Created"}},"summary":"Assigns (creates or replaces) the XRay credentials of a user.","tags":["x-ray-controller"]}},"/rest/integrations/xray/credentials/{userAccountId}":{"delete":{"description":"Removes the XRay credentials of a user. Requires admin permission.","operationId":"deleteXRayCredentials","parameters":[{"in":"path","name":"userAccountId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Removes the XRay credentials of a user.","tags":["x-ray-controller"]}},"/rest/integrations/xray/enabled":{"get":{"description":"Returns whether the XRay integration is enabled for the current Jira instance.","operationId":"isXRayEnabled","responses":{"200":{"content":{"application/json":{"schema":{"type":"boolean"}}},"description":"OK"}},"summary":"Returns whether the XRay integration is enabled for the current Jira instance.","tags":["x-ray-controller"]},"put":{"description":"Enables or disables the XRay integration for the current Jira instance. Requires admin permission.","operationId":"setXRayEnabled","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOXRayEnableRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/XRayIntegration"}}},"description":"OK"}},"summary":"Enables or disables the XRay integration for the current Jira instance.","tags":["x-ray-controller"]}},"/rest/integrations/xray/region":{"put":{"description":"Sets the instance-wide XRay data-residency region. Requires admin permission.","operationId":"setXRayRegion","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOXRayRegionRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/XRayIntegration"}}},"description":"OK"}},"summary":"Sets the instance-wide XRay data-residency region.","tags":["x-ray-controller"]}},"/rest/integrations/xray/settings":{"get":{"description":"Returns the instance-wide XRay configuration (enabled flag + shared region). Requires admin permission.","operationId":"getXRaySettings","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/XRayIntegration"}}},"description":"OK"}},"summary":"Returns the instance-wide XRay configuration (enabled flag + shared region).","tags":["x-ray-controller"]}},"/rest/integrations/zephyr-scale":{"delete":{"description":"Delete the token for the user","operationId":"deleteZephyrScaleIntegration","responses":{"200":{"description":"OK"}},"summary":"Delete the token for the user","tags":["zephyr-scale-controller"]},"get":{"description":"Only return the integration, not the token","operationId":"getZephyrScaleIntegration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOZephyrScaleIntegration"}}},"description":"OK"}},"summary":"Only return the integration, not the token","tags":["zephyr-scale-controller"]},"post":{"description":"Save the token for the user","operationId":"saveZephyrScaleIntegration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCreateZephyrScaleIntegration"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCreateZephyrScaleIntegration"}}},"description":"Created"}},"summary":"Save the token for the user","tags":["zephyr-scale-controller"]}},"/rest/integrations/zephyr-scale/enabled":{"get":{"description":"Check if the Zephyr Scale integration is enabled by the admin.","operationId":"isZephyrScaleEnabled","responses":{"200":{"content":{"application/json":{"schema":{"type":"boolean"}}},"description":"OK"}},"summary":"Check if the Zephyr Scale integration is enabled by the admin.","tags":["zephyr-scale-controller"]},"put":{"description":"Allow an instance admin to enable the Zephyr Scale integration.\n We do not have a separate api to know if an external plugin is installed on the instance.","operationId":"setZephyrScaleEnabled","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOZephyrScaleEnableRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ZephyrScaleIntegration"}}},"description":"OK"}},"summary":"Allow an instance admin to enable the Zephyr Scale integration.","tags":["zephyr-scale-controller"]}},"/rest/jira/permissions/issue/{issueId}":{"get":{"operationId":"hasPermissionOnIssue","parameters":[{"in":"path","name":"issueId","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"permission","required":true,"schema":{"type":"string","enum":["READ","EDIT","DELETE"]}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["jira-permissions-controller"]}},"/rest/jira/users":{"get":{"description":"Finds Jira users by query (matches displayName, email or username).","operationId":"findUsers","parameters":[{"description":"the query to filter the Jira users","in":"query","name":"query","required":false,"schema":{"maxLength":1024,"minLength":0,"type":"string","default":""}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JiraUser"}}}},"description":"the list of Jira users"}},"summary":"Finds Jira users by query (matches displayName, email or username).","tags":["jira-user-controller"]}},"/rest/jira/users/{accountId}":{"get":{"description":"Finds a Jira user by account id.","operationId":"getUser","parameters":[{"description":"the account id of the Jira user","in":"path","name":"accountId","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/JiraUser"}}},"description":"the Jira user"}},"summary":"Finds a Jira user by account id.","tags":["jira-user-controller"]}},"/rest/jql/contains-requirements":{"post":{"operationId":"containsRequirements","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JQLFunctionPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JQLOutput"}}},"description":"OK"}},"tags":["jql-controller"]}},"/rest/permissions/admin":{"get":{"operationId":"isAdmin","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/permissions/application/space/{spaceKey}":{"get":{"description":"Returns the permission of the current app for the provided space.","operationId":"getAppPermissionsForSpace","parameters":[{"in":"path","name":"spaceKey","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOAppSpacePermission"}}},"description":"OK"}},"summary":"Returns the permission of the current app for the provided space.","tags":["permission-controller"]}},"/rest/permissions/champion-group-member":{"get":{"operationId":"isChampionGroupMember","parameters":[{"in":"query","name":"accountId","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/permissions/cleancache":{"get":{"description":"By default, only removes cache for current user.\n ?allUsers=true remove data for all users for current clientKey","operationId":"cleanCache","parameters":[{"in":"query","name":"allUsers","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOkString"}}},"description":"OK"}},"summary":"By default, only removes cache for current user.","tags":["permission-controller"]}},"/rest/permissions/customer/enabled":{"get":{"operationId":"isCustomerEnabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/permissions/space-champion":{"get":{"operationId":"isSpaceChampion","parameters":[{"in":"query","name":"spaceKey","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/permissions/spaces":{"get":{"operationId":"getAccessibleSpaces","parameters":[{"in":"query","name":"spaceKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string","default":""}},{"in":"query","name":"cursor","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string","default":""}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchPageResponseSearchResult"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/permissions/sysadmin":{"get":{"operationId":"isSysAdminInstance","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/permissions/user/space/{spaceKey}":{"get":{"operationId":"getUserPermissionForSpace","parameters":[{"in":"path","name":"spaceKey","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"in":"query","name":"permission","required":true,"schema":{"type":"string","enum":["ADMINISTER","READ","UPDATE","DELETE","EXPORT","MANAGE_LOOK_AND_FEEL","MANAGE_TEMPLATES","MANAGE_USERS","MANAGE_NONLICENSED_USERS","MANAGE_GUEST_USERS","MANAGE_PUBLIC_LINKS","MANAGE_CONTENT","CREATE_PAGE","CREATE_BLOGPOST","CREATE_COMMENT","CREATE_ATTACHMENT"]}}],"responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"tags":["permission-controller"]}},"/rest/relationships":{"get":{"description":"Finds all relationships.","operationId":"getRelationships","parameters":[{"description":"the pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the pagination limit","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":1000}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORelationship"}}},"description":"the list of relationships"}},"summary":"Finds all relationships.","tags":["relationship-controller"]},"post":{"description":"Creates a relationship.","operationId":"createRelationship","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}},"description":"the relationship to create","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}},"description":"the created relationship"}},"summary":"Creates a relationship.","tags":["relationship-controller"]}},"/rest/relationships/{id}":{"delete":{"description":"Deletes a relationship by id.","operationId":"deleteRelationship","parameters":[{"description":"the relationship identifier","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes a relationship by id.","tags":["relationship-controller"]},"put":{"description":"Updates a relationship by id.","operationId":"updateRelationship","parameters":[{"description":"the relationship identifier","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}},"description":"the updated relationship","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}},"description":"the updated relationship"}},"summary":"Updates a relationship by id.","tags":["relationship-controller"]}},"/rest/requirement-links":{"get":{"operationId":"getRequirementLinks","parameters":[{"in":"query","name":"issueId","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"filterRequirementKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string","default":""}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":200}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirementLinkResponse"}}},"description":"OK"}},"tags":["requirement-link-controller"]},"post":{"description":"Creates a link of a requirement to a given Jira issue.\n Edit permissions are checked on the issue and on the target requirement space.","operationId":"createRequirementLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkCreateRequest"}}},"description":"the payload to create a link","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}},"description":"Created"}},"summary":"Creates a link of a requirement to a given Jira issue.","tags":["requirement-link-controller"]}},"/rest/requirement-links/bulk":{"post":{"description":"Creates in bulk, links to the requirements for a given Jira issue. It assumes all requirements are linked to a single issue.\n Edit permissions are checked on the issue and on the target requirement space.","operationId":"createRequirementLinks","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkBulkCreateRequest"}}},"description":"the payload of the request to create links","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}}},"description":"Created"}},"summary":"Creates in bulk, links to the requirements for a given Jira issue.","tags":["requirement-link-controller"]}},"/rest/requirement-links/frozen":{"get":{"operationId":"getFrozenRequirementLinks","parameters":[{"in":"query","name":"issueId","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":200}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirementLinkResponse"}}},"description":"OK"}},"tags":["requirement-link-controller"]}},"/rest/requirement-links/{issueId}/atlassian/import":{"post":{"description":"Add multiples requirements to an issue\n We verify that the user has permission to edit the issue\n The requirements parameters can be incomplete, it will be handled by the search service.","operationId":"addMultipleRequirements","parameters":[{"in":"path","name":"issueId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORawAtlassianRequirement"}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseWithMessageDTORequirement"}}},"description":"OK"}},"summary":"Add multiples requirements to an issue\n We verify that the user has permission to edit the issue\n The requirements parameters can be incomplete, it will be handled by the search service.","tags":["requirement-link-controller"]}},"/rest/requirement-links/{linkId}":{"delete":{"operationId":"deleteRequirementLink","parameters":[{"in":"path","name":"linkId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"tags":["requirement-link-controller"]},"get":{"operationId":"getRequirementLink","parameters":[{"in":"path","name":"linkId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}},"description":"OK"}},"tags":["requirement-link-controller"]},"put":{"operationId":"updateRequirementLink","parameters":[{"in":"path","name":"linkId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkUpdateRequest"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}},"description":"OK"}},"tags":["requirement-link-controller"]}},"/rest/search":{"get":{"description":"Search requirements with the query string\n <p>\n Note: page titles are not filled (filled in javascript)","operationId":"search_1","parameters":[{"in":"query","name":"query","required":true,"schema":{"maxLength":1024,"minLength":0,"type":"string"}},{"in":"query","name":"spaceKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"in":"query","name":"includeDeleted","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"includeMoved","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withExternalProperties","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withJiraData","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withOriginalLinks","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"withLinks","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"withDependencies","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"variants","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","in":"query","name":"sort","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}},"description":"OK"}},"summary":"Search requirements with the query string\n ","tags":["search-controller"]}},"/rest/search/key-or-description":{"get":{"description":"Search requirements first by key, then by description if no results are found by key.\n <p>\n Note: page titles are not filled (filled in avascript)","operationId":"searchByKeyOrDescription","parameters":[{"in":"query","name":"q","required":true,"schema":{"maxLength":1024,"minLength":0,"type":"string"}},{"in":"query","name":"variantId","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"spaceKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"in":"query","name":"includeDeleted","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"includeMoved","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withExternalProperties","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withJiraData","required":false,"schema":{"type":"boolean","default":false}},{"in":"query","name":"withOriginalLinks","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"withLinks","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"withDependencies","required":false,"schema":{"type":"boolean","default":true}},{"in":"query","name":"variants","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}},"description":"OK"}},"summary":"Search requirements first by key, then by description if no results are found by key","tags":["search-controller"]}},"/rest/spaces/by-key":{"get":{"description":"Get Confluence space by key (internal use)","operationId":"getSpacesByKey","parameters":[{"description":"the space key","in":"query","name":"keys","required":false,"schema":{"type":"array","nullable":true,"items":{"type":"string"}}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiEntityResultSpace"}}},"description":"the spaces result"}},"summary":"Get Confluence space by key (internal use)","tags":["space-controller"]}},"/rest/spaces/search":{"get":{"operationId":"searchSpaces","parameters":[{"in":"query","name":"partialName","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string","default":""}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOApplicationIdSpaceList"}}}},"description":"OK"}},"tags":["space-controller"]}},"/rest/spaces/{id}":{"get":{"description":"Get Confluence space by id (internal use)","operationId":"getSpaceById","parameters":[{"description":"the space id","in":"path","name":"id","required":true,"schema":{"minimum":0,"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfluenceSpace"}}},"description":"the space"}},"summary":"Get Confluence space by id (internal use)","tags":["space-controller"]}},"/rest/test-cases":{"get":{"description":"Retrieves a paginated list of test cases based on filter criteria.","operationId":"getAllTestCases","parameters":[{"description":"the project container ID","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"optional test case key to filter by","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional test case name to filter by","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional version number to filter by","in":"query","name":"version","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"optional. If true, returns only archived test cases.\n                                      If false or not provided, returns only active test cases (default: false)","in":"query","name":"archived","required":false,"schema":{"type":"boolean"}},{"description":"optional test cycle ID to filter test cases that are not linked to this test cycle","in":"query","name":"excludeLinkedToTestCycleId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"optional field to sort by","in":"query","name":"sortBy","required":false,"schema":{"maxLength":50,"minLength":0,"pattern":"id|versionNumber|name|objective|preconditions|postconditions|versionStatus|type|priority|status|createdBy|createdAt|updatedAt","type":"string"}},{"description":"optional sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCase"}}},"description":"paginated list of test cases"}},"summary":"Retrieves a paginated list of test cases based on filter criteria.","tags":["test-case-controller"]},"post":{"description":"Creates a new test case.","operationId":"createTestCase","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseCreateRequest"}}},"description":"the test case creation request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}},"description":"the created test case"}},"summary":"Creates a new test case.","tags":["test-case-controller"]}},"/rest/test-cases/{id}":{"delete":{"description":"Deletes all versions of an existing test case and its related data.\n <p>This operation deletes:\n <ul>\n     <li>all test case versions</li>\n     <li> all test executions associated with each version</li>\n </ul>","operationId":"deleteTestCase","parameters":[{"description":"the id of the test case to delete","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes all versions of an existing test case and its related data","tags":["test-case-controller"]},"get":{"description":"Retrieves a specific version of a test case.","operationId":"getTestCase","parameters":[{"description":"the id of the test case","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}},"description":"the requested test case version"}},"summary":"Retrieves a specific version of a test case.","tags":["test-case-controller"]},"put":{"description":"Updates an existing test case.","operationId":"updateTestCase","parameters":[{"description":"the id of the test case version to update","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseUpdateRequest"}}},"description":"the update request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}},"description":"the updated test case"}},"summary":"Updates an existing test case.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/archive":{"post":{"description":"Archives all versions of an existing test case and its related data.\n <p>This operation archives:\n <ul>\n     <li>all test case versions</li>\n     <li> all test executions associated with each version</li>\n </ul>","operationId":"archiveTestCase","parameters":[{"description":"the id of the test case to archive","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Archives all versions of an existing test case and its related data","tags":["test-case-controller"]}},"/rest/test-cases/{id}/steps":{"get":{"description":"Get the steps belonging to a test case.\n If the version is not provided, the latest version is returned","operationId":"getTestCaseSteps","parameters":[{"description":"the id of the test case","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the specific test case version to retrieve steps for (optional)","in":"query","name":"version","required":false,"schema":{"minimum":0,"type":"integer","format":"int32"}},{"description":"pagination offset (optional)","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page (optional)","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestStep"}}},"description":"the step list"}},"summary":"Get the steps belonging to a test case.","tags":["test-case-controller"]},"put":{"description":"Updates the steps of an existing test case.","operationId":"updateTestCaseSteps","parameters":[{"description":"the id of the test case to be updated","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestStepsUpdateRequest"}}},"description":"the request body containing updated test case step details","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOTestStep"}}}},"description":"the updated test case with the new steps"}},"summary":"Updates the steps of an existing test case.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/version-numbers":{"get":{"description":"Retrieves a paginated list containing the version numbers of a test case.","operationId":"getTestCaseVersionNumbers","parameters":[{"description":"the test case id","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}},{"description":"optional sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultInteger"}}},"description":"paginated list of test cases"}},"summary":"Retrieves a paginated list containing the version numbers of a test case.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions":{"get":{"description":"Retrieves a paginated list of all versions for a specific test case.","operationId":"getAllTestCaseVersions","parameters":[{"description":"the test case ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"optional field to sort by","in":"query","name":"sortBy","required":false,"schema":{"maxLength":50,"minLength":0,"pattern":"id|versionNumber|name|objective|preconditions|postconditions|versionStatus|type|priority|status|createdBy|createdAt|updatedAt","type":"string"}},{"description":"optional sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCase"}}},"description":"paginated list of test cases"}},"summary":"Retrieves a paginated list of all versions for a specific test case.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{versionNumber}":{"get":{"description":"Retrieves a specific version of a test case.","operationId":"getTestCaseVersion","parameters":[{"description":"the test case ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the test case version","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}},"description":"The test case, if found"}},"summary":"Retrieves a specific version of a test case.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{versionNumber}/jira-issues":{"get":{"description":"Retrieves a paginated list of Jira issues linked to the test case.","operationId":"getJiraIssues","parameters":[{"description":"the test case id","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the test case version number","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOJiraIssue"}}},"description":"paginated list of requirement"}},"summary":"Retrieves a paginated list of Jira issues linked to the test case.","tags":["test-case-controller"]},"post":{"description":"Creates a link between a test case version and a Jira issue.","operationId":"addJiraIssue","parameters":[{"description":"The ID of the test case for which the link is to be created.","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The version number of the test case","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseJiraIssueLinkCreateRequest"}}},"description":"Contains the details of the Jira issue to be linked.","required":true},"responses":{"201":{"description":"Created"}},"summary":"Creates a link between a test case version and a Jira issue.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{versionNumber}/jira-issues/{jiraIssueId}":{"delete":{"description":"Removes a link between a test case version and a Jira issue.","operationId":"removeJiraIssue","parameters":[{"description":"The ID of the test case for which the link is to be removed.","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The version number of the test case","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}},{"description":"the Jira issue id","in":"path","name":"jiraIssueId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Removes a link between a test case version and a Jira issue.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{versionNumber}/requirements":{"delete":{"description":"Removes a link between a test case version and a requirement.","operationId":"removeRequirement","parameters":[{"description":"The ID of the test case for which the link is to be removed.","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The version number of the test case","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}},{"description":"the id of the application containing the requirement","in":"query","name":"applicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the requirement container ID","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the requirement key","in":"query","name":"key","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"the ID of the requirement variant","in":"query","name":"variantId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Removes a link between a test case version and a requirement.","tags":["test-case-controller"]},"get":{"description":"Retrieves a paginated list of requirements linked to the test case.","operationId":"getRequirements","parameters":[{"description":"the test case id","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the test case version number","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}},{"description":"optional filter to search for requirements whose keys start with the specified text.","in":"query","name":"requirementKeyFilter","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}},"description":"paginated list of requirement"}},"summary":"Retrieves a paginated list of requirements linked to the test case.","tags":["test-case-controller"]},"post":{"description":"Creates a link between a test case version and a requirement based on the provided details.","operationId":"addRequirement","parameters":[{"description":"The ID of the test case for which the link is to be created.","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The version number of the test case","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseRequirementLinkRequest"}}},"description":"Contains the details of the requirement to be linked.","required":true},"responses":{"201":{"description":"Created"}},"summary":"Creates a link between a test case version and a requirement based on the provided details.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{versionNumber}/requirements/bulk":{"post":{"description":"Creates links between a test case version and a list of requirements.","operationId":"addRequirements","parameters":[{"description":"The ID of the test case for which the links are to be created.","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The version number of the test case","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseRequirementBulkLinkRequest"}}},"description":"Contains the list of the requirements to be linked.","required":true},"responses":{"201":{"description":"Created"}},"summary":"Creates links between a test case version and a list of requirements.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{versionNumber}/requirements/remove":{"post":{"description":"Removes links between a test case version and a list of requirements.","operationId":"removeRequirements","parameters":[{"description":"The ID of the test case for which the link is to be created.","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The version number of the test case","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseRequirementBulkLinkRequest"}}},"description":"Contains the list of the requirements for which the links are to be removed.","required":true},"responses":{"204":{"description":"No Content"}},"summary":"Removes links between a test case version and a list of requirements.","tags":["test-case-controller"]}},"/rest/test-cases/{id}/versions/{version}":{"delete":{"description":"Deletes the given test case version and its related data.\n <p>This operation deletes:\n <ul>\n     <li>the test case version</li>\n     <li>the associated test executions</li>\n </ul>","operationId":"deleteTestCaseVersion","parameters":[{"description":"the id of the test case to delete","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"test case version to delete","in":"path","name":"version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes the given test case version and its related data","tags":["test-case-controller"]},"post":{"description":"Archives the given test case version and its related data.\n <p>This operation archives:\n <ul>\n     <li>the test case version</li>\n     <li>the associated test executions</li>\n </ul>","operationId":"archiveTestCaseVersion","parameters":[{"description":"the id of the test case to archive","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the version to archive","in":"path","name":"version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Archives the given test case version and its related data","tags":["test-case-controller"]}},"/rest/test-cycles":{"get":{"description":"Retrieves a paginated list of test cycles based on the given filter criteria.","operationId":"getAllTestCycles","parameters":[{"description":"The ID of the project container to which the test cycles belong","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"The key of the test cycle to filter","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"The name of the test cycle to filter","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"the version of the test cycle","in":"query","name":"version","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"The status of the test cycle to filter","in":"query","name":"status","required":false,"schema":{"type":"string","enum":["NOT_STARTED","IN_PROGRESS","CANCELLED","DONE"]}},{"description":"The environment of the test cycle to filter","in":"query","name":"environment","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"The assignee of the test cycle to filter","in":"query","name":"assignee","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"Whether to include ad hoc test cycles","in":"query","name":"includeAdHoc","required":false,"schema":{"type":"boolean"}},{"description":"The pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"The number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"The field to sort by","in":"query","name":"sortBy","required":false,"schema":{"maxLength":50,"minLength":0,"pattern":"id|key|name|description|cycleStatus|environment|version|assignedTo|plannedStartDate|plannedEndDate|isAdhoc|status|createdBy|createdAt|updatedAt","type":"string"}},{"description":"The sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCycle"}}},"description":"A paginated list of test cycles"}},"summary":"Retrieves a paginated list of test cycles based on the given filter criteria.","tags":["test-cycle-controller"]},"post":{"description":"Creates a new test cycle.","operationId":"createTestCycle","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleCreateRequest"}}},"description":"the test cycle creation request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycle"}}},"description":"the created test cycle"}},"summary":"Creates a new test cycle.","tags":["test-cycle-controller"]}},"/rest/test-cycles/{id}":{"delete":{"description":"Deletes a test cycle and all associated data from the system.\n\n <p><strong>Warning:</strong> This operation will cascade delete all test executions.","operationId":"deleteTestCycle","parameters":[{"description":"the unique identifier of the test cycle to delete","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes a test cycle and all associated data from the system","tags":["test-cycle-controller"]},"get":{"description":"Retrieves a test cycle.","operationId":"getTestCycle","parameters":[{"description":"the id of the test cycle","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycle"}}},"description":"the requested test cycle"}},"summary":"Retrieves a test cycle.","tags":["test-cycle-controller"]},"put":{"description":"Update an existing test cycle.","operationId":"updateTestCycle","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleUpdateRequest"}}},"description":"the test cycle update request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycle"}}},"description":"the created test cycle"}},"summary":"Update an existing test cycle.","tags":["test-cycle-controller"]}},"/rest/test-cycles/{id}/archive":{"post":{"description":"Archives a test cycle and all associated data from the system.\n\n <p><strong>Warning:</strong> This operation will cascade archive all test executions.","operationId":"archiveTestCycle","parameters":[{"description":"the unique identifier of the test cycle to delete","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Archives a test cycle and all associated data from the system","tags":["test-cycle-controller"]}},"/rest/test-cycles/{id}/test-cases":{"get":{"description":"Retrieves a paginated list of test cases linked to a test cycle.","operationId":"getTestCases","parameters":[{"description":"the test cycle ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"optional test case key to filter by","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional test case name to filter by","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"optional field to sort by","in":"query","name":"sortBy","required":false,"schema":{"maxLength":50,"minLength":0,"pattern":"id|key|name|objective|preconditions|postconditions|versionNumber|versionStatus|type|priority|status|createdBy|createdAt|updatedAt","type":"string"}},{"description":"optional sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCase"}}},"description":"paginated list of test cases"}},"summary":"Retrieves a paginated list of test cases linked to a test cycle.","tags":["test-cycle-controller"]},"post":{"description":"Add a test case to an existing test cycle.\n <p>\n The test case will be added at the top of the test cycle (position 1) if the position is not provided.","operationId":"addTestCase","parameters":[{"description":"the test cycle ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseAddRequest"}}},"description":"the request containing the test case to add","required":true},"responses":{"201":{"description":"Created"}},"summary":"Add a test case to an existing test cycle","tags":["test-cycle-controller"]}},"/rest/test-cycles/{id}/test-cases/bulk":{"post":{"description":"Add multiple test cases to an existing test cycle in bulk.\n <p>\n The test cases will be added at the top of the test cycle (position 1) if the position is not provided.","operationId":"addTestCases","parameters":[{"description":"the test cycle ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseBulkAddRequest"}}},"description":"the request containing the list of test cases to add","required":true},"responses":{"201":{"description":"Created"}},"summary":"Add multiple test cases to an existing test cycle in bulk","tags":["test-cycle-controller"]}},"/rest/test-cycles/{id}/test-cases/latest-execution":{"get":{"description":"Retrieves a paginated list of test cases linked to a test cycle with its latest execution if exists.","operationId":"getTestCasesWithLatestExecution","parameters":[{"description":"the test cycle ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"optional test case key to filter by","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional test case name to filter by","in":"query","name":"name","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"optional field to sort by","in":"query","name":"sortBy","required":false,"schema":{"maxLength":50,"minLength":0,"pattern":"id|key|name|objective|preconditions|postconditions|versionNumber|versionStatus|type|priority|status|createdBy|createdAt|updatedAt","type":"string"}},{"description":"optional sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCaseExecution"}}},"description":"paginated list of test cases associates with its latest execution"}},"summary":"Retrieves a paginated list of test cases linked to a test cycle with its latest execution if exists.","tags":["test-cycle-controller"]}},"/rest/test-cycles/{id}/test-cases/reorder":{"post":{"description":"Reorder test cases in a test cycle.\n <p>\n This endpoint allows reordering test cases within a test cycle by specifying their new positions.","operationId":"reorderTestCases","parameters":[{"description":"the test cycle ID","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseReorderRequest"}}},"description":"the request containing the list of test cases to reorder","required":true},"responses":{"204":{"description":"No Content"}},"summary":"Reorder test cases in a test cycle","tags":["test-cycle-controller"]}},"/rest/test-cycles/{testCycleId}/test-cases/remove":{"post":{"description":"Removes multiple test cases from an existing test cycle in bulk.","operationId":"removeTestCases","parameters":[{"description":"the test cycle ID","in":"path","name":"testCycleId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseBulkDeleteRequest"}}},"description":"the request containing the list of test cases to delete","required":true},"responses":{"204":{"description":"No Content"}},"summary":"Removes multiple test cases from an existing test cycle in bulk.","tags":["test-cycle-controller"]}},"/rest/test-cycles/{testCycleId}/test-cases{testCaseId}/versions/{versionNumber}":{"delete":{"description":"Remove a test case from an existing test cycle.","operationId":"removeTestCase","parameters":[{"description":"the test cycle ID","in":"path","name":"testCycleId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the test case ID","in":"path","name":"testCaseId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the test case version number","in":"path","name":"versionNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}},"summary":"Remove a test case from an existing test cycle.","tags":["test-cycle-controller"]}},"/rest/test-executions":{"get":{"description":"Retrieves a paginated list of test executions based on filter criteria.","operationId":"getAllTestExecutions","parameters":[{"description":"the ID of the project container to filter by","in":"query","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"optional test cycle ID to filter by","in":"query","name":"testCycleId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"optional test cycle key to filter by","in":"query","name":"testCycleKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional test case ID to filter by","in":"query","name":"testCaseId","required":false,"schema":{"type":"integer","format":"int64"}},{"description":"optional test case version number to filter by","in":"query","name":"testCaseVersion","required":false,"schema":{"type":"integer","format":"int32"}},{"description":"optional test case key to filter by","in":"query","name":"testCaseKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional test case name to filter by","in":"query","name":"testCaseName","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional test execution key to filter by","in":"query","name":"key","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"optional. If true, returns only archived test cases.\n                          If false or not provided, returns only active test cases (default: false)","in":"query","name":"archived","required":false,"schema":{"type":"boolean"}},{"description":"pagination offset","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"maximum number of items per page","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"description":"the field to sort by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},{"description":"the sort direction (ASC or DESC)","in":"query","name":"sortOrder","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestExecution"}}},"description":"paginated list of test executions"}},"summary":"Retrieves a paginated list of test executions based on filter criteria.","tags":["test-execution-controller"]},"post":{"description":"Creates a new test execution.","operationId":"createTestExecution","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionCreateRequest"}}},"description":"the test execution creation request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}},"description":"the created test case"}},"summary":"Creates a new test execution.","tags":["test-execution-controller"]}},"/rest/test-executions/latest":{"get":{"description":"Retrieves the latest test execution by the test case ID and version and by the test cycle.\n It creates a new test execution if not existing yet.","operationId":"getLatestTestExecution","parameters":[{"description":"the ID of the test cycle","in":"query","name":"testCycleId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the ID of the test case","in":"query","name":"testCaseId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the version number of the test case","in":"query","name":"testCaseVersion","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}},"description":"the requested test execution."}},"summary":"Retrieves the latest test execution by the test case ID and version and by the test cycle.","tags":["test-execution-controller"]}},"/rest/test-executions/{id}":{"delete":{"description":"Deletes an existing test execution.","operationId":"deleteTestExecution","parameters":[{"description":"the id of the test execution to delete","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}},"summary":"Deletes an existing test execution.","tags":["test-execution-controller"]},"get":{"description":"Retrieves test execution by id.","operationId":"getTestExecution","parameters":[{"description":"the ID of the test execution","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}},"description":"the requested test execution"}},"summary":"Retrieves test execution by id.","tags":["test-execution-controller"]},"post":{"description":"Archives an existing test execution.","operationId":"archiveTestExecution","parameters":[{"description":"the id of the test execution to archive","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Archives an existing test execution.","tags":["test-execution-controller"]},"put":{"description":"Updates an existing test execution.","operationId":"updateTestExecution","parameters":[{"description":"the ID of the test execution","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionUpdateRequest"}}},"description":"the request containing the test execution details","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}},"description":"the updated test execution"}},"summary":"Updates an existing test execution.","tags":["test-execution-controller"]}},"/rest/test-executions/{id}/outdated":{"get":{"description":"Determines whether the test steps of a test execution are outdated compared to the source test case.","operationId":"isTestExecutionOutdated","parameters":[{"description":"the ID of the test execution","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionOutOfDateStatus"}}},"description":"the outdate status"}},"summary":"Determines whether the test steps of a test execution are outdated compared to the source test case.","tags":["test-execution-controller"]}},"/rest/test-executions/{id}/steps":{"get":{"description":"Retrieves the steps belonging to a test execution.","operationId":"getTestCaseSteps_1","parameters":[{"description":"the id of the test execution","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"pagination offset (optional)","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"description":"maximum number of items per page (optional)","in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestStepExecution"}}},"description":"the step list"}},"summary":"Retrieves the steps belonging to a test execution.","tags":["test-execution-controller"]}},"/rest/test-executions/{id}/synchronize":{"post":{"description":"Synchronizes the test execution with the associated test case version.\n If the test case version has changed (steps), the test execution\n is updated accordingly while preserving execution status and results.","operationId":"synchronizeTestExecution","parameters":[{"description":"the ID of the test execution","in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}},"description":"the updated test execution"}},"summary":"Synchronizes the test execution with the associated test case version.","tags":["test-execution-controller"]}},"/rest/test-executions/{testExecutionId}/steps/{stepNumber}":{"put":{"description":"Updates test execution step.","operationId":"updateTestExecutionStep","parameters":[{"description":"the ID of the test execution","in":"path","name":"testExecutionId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the number of the test execution step","in":"path","name":"stepNumber","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionStepUpdateRequest"}}},"description":"the test execution step update request","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}},"description":"the updated test execution"}},"summary":"Updates test execution step.","tags":["test-execution-controller"]}},"/rest/test-tree-view/build-children":{"post":{"description":"Build the children with pagination of a given tree node.","operationId":"buildChildren","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestTreeViewChildrenRequest"}}},"description":"the request containing the container\n                ID and the parent node for which the children node will be built","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOTestCaseNode"},{"$ref":"#/components/schemas/DTOTestCycleNode"},{"$ref":"#/components/schemas/DTOTestPlanNode"},{"$ref":"#/components/schemas/DTOTestRootNode"}]}}},"description":"a paginated list of child nodes as {@link DTOTestTreeNode DTOTestTreeNode}"}},"summary":"Build the children with pagination of a given tree node.","tags":["test-tree-view-controller"]}},"/rest/test-tree-view/{containerId}":{"get":{"description":"Retrieves the test tree view.\n <p>\n It returns a tree containing a paginated list of nodes according to the given root type\n or the current default root level e.g., {@link TreeNodeType#TEST_CYCLE TreeNodeType#TEST_CYCLE}\n </p>","operationId":"buildTree","parameters":[{"description":"the container ID","in":"path","name":"containerId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"the root type of the tree","in":"query","name":"rootType","required":false,"schema":{"type":"string","enum":["ROOT","TEST_CASE","TEST_CYCLE","TEST_PLAN"]}},{"description":"the offset pagination","in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"description":"the limit of the pagination","in":"query","name":"limit","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestRootNode"}}},"description":"a {@link DTOTestRootNode DTOTestRootNode} containing the paginated root nodes"}},"summary":"Retrieves the test tree view","tags":["test-tree-view-controller"]}},"/rest/testing-integrations/zephyr-scale/enabled":{"get":{"description":"Check if the Zephyr Scale integration is enabled by the admin.","operationId":"enabled","responses":{"200":{"content":{"*/*":{"schema":{"type":"boolean"}}},"description":"OK"}},"summary":"Check if the Zephyr Scale integration is enabled by the admin.","tags":["zephyr-scale-test-controller"]}},"/rest/testing-integrations/zephyr-scale/folders":{"get":{"description":"Browses Zephyr Scale test-case folders, optionally filtered by project","operationId":"listFolders","parameters":[{"in":"query","name":"jiraAppId","required":true,"schema":{"minimum":1,"type":"integer","format":"int64"}},{"in":"query","name":"projectKey","required":false,"schema":{"type":"string"}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64"}},{"in":"query","name":"limit","required":false,"schema":{"maximum":1000,"minimum":1,"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOZephyrFolder"}}},"description":"OK"}},"summary":"Browses Zephyr Scale test-case folders, optionally filtered by project","tags":["zephyr-scale-test-controller"]}},"/rest/testing-integrations/zephyr-scale/projects":{"get":{"description":"Browses Zephyr Scale projects.","operationId":"listProjects","parameters":[{"in":"query","name":"jiraAppId","required":true,"schema":{"minimum":1,"type":"integer","format":"int64"}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64"}},{"in":"query","name":"limit","required":false,"schema":{"maximum":1000,"minimum":1,"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOZephyrProject"}}},"description":"OK"}},"summary":"Browses Zephyr Scale projects.","tags":["zephyr-scale-test-controller"]}},"/rest/testing-integrations/zephyr-scale/test-cases":{"get":{"description":"Browses Zephyr Scale test cases, optionally filtered by project and/or folder","operationId":"listTestCases","parameters":[{"in":"query","name":"jiraAppId","required":true,"schema":{"minimum":1,"type":"integer","format":"int64"}},{"in":"query","name":"projectKey","required":false,"schema":{"type":"string"}},{"in":"query","name":"folderId","required":false,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64"}},{"in":"query","name":"limit","required":false,"schema":{"maximum":1000,"minimum":1,"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOPagedResponseDTOZephyrTestCaseSummary"}}},"description":"OK"}},"summary":"Browses Zephyr Scale test cases, optionally filtered by project and/or folder","tags":["zephyr-scale-test-controller"]}},"/rest/testing-integrations/zephyr-scale/test-cases-for-issue":{"get":{"description":"Fetches all test cases linked to the issues, their status, and the last execution with its status.\n <p>\n Required permissions: read on the Jira instance,","operationId":"getTestCasesForIssue","parameters":[{"in":"query","name":"issueKey","required":true,"schema":{"type":"string"}},{"in":"query","name":"jiraAppId","required":true,"schema":{"minimum":1,"type":"integer","format":"int64"}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int32"}},{"in":"query","name":"limit","required":false,"schema":{"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOZephyrTestOverview"}}},"description":"OK"}},"summary":"Fetches all test cases linked to the issues, their status, and the last execution with its status","tags":["zephyr-scale-test-controller"]}},"/rest/testing-integrations/zephyr-scale/test-cases/bulk":{"post":{"description":"Fetches several Zephyr Scale test cases at once, for a caller that already knows their keys.\n <p>\n The traceability matrix returns its test-case cells as bare keys and fills them in with this, so the rows appear\n without waiting on Zephyr Scale.\n </p>","operationId":"getTestCasesInBulk","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOZephyrTestCaseFetchRequest"}}},"description":"the Jira instance and the test cases to fetch","required":true},"responses":{"200":{"content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOZephyrTestCaseFetchResult"}}}},"description":"one result per <em>distinct</em> requested test case, in request order, each echoing the key and version\n         it answers for. Duplicate refs are collapsed, so a request holding the same key and version twice comes\n         back with one result for it. A test case that could not be fetched comes back with a null\n         <code>testCase</code> rather than failing the whole batch."}},"summary":"Fetches several Zephyr Scale test cases at once, for a caller that already knows their keys","tags":["zephyr-scale-test-controller"]}},"/rest/testing-integrations/zephyr-scale/test-cases/{testCaseKey}":{"get":{"description":"Fetches a single Zephyr Scale test case, with its status and its last execution, for a test case linked\n directly to a requirement rather than reached through a Jira issue.\n <p>\n Required permissions: instance-level Jira read on the linked Jira application. Zephyr Scale itself is\n reached with the caller's own personal token, so the response can only hold what they may already see.\n </p>","operationId":"getLinkedTestCase","parameters":[{"description":"the key of the Zephyr Scale test case, for example <code>PROJ-T123</code>","in":"path","name":"testCaseKey","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}},{"description":"the Jira application whose Zephyr Scale token is used to reach the test case","in":"query","name":"jiraAppId","required":true,"schema":{"minimum":1,"type":"integer","format":"int64"}},{"description":"the version of the test case to fetch, or <code>null</code> for the latest one","in":"query","name":"versionNumber","required":false,"schema":{"minimum":1,"type":"integer","format":"int32"}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOZephyrTestCase"}}},"description":"the test case, with its status and its last execution with its own status"}},"summary":"Fetches a single Zephyr Scale test case, with its status and its last execution, for a test case linked\n directly to a requirement rather than reached through a Jira issue","tags":["zephyr-scale-test-controller"]}},"/rest/v2/confluence/pages/{id}":{"post":{"operationId":"getPageById","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePage200Response"}}},"description":"OK"}},"tags":["page-controller"]}},"/rest/v2/variant":{"post":{"description":"Creates an entity","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"description":"OK"}},"summary":"Creates an entity","tags":["variant-controller"]}},"/rest/v2/variant/search":{"post":{"operationId":"search","parameters":[{"in":"query","name":"confluenceApplicationId","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"in":"query","name":"limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}},"description":"OK"}},"tags":["variant-controller"]}},"/rest/v2/variant/{id}":{"delete":{"description":"Deletes an entity by id","operationId":"delete","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Deletes an entity by id","tags":["variant-controller"]},"get":{"operationId":"findVariant","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}},{"in":"query","name":"confluenceApplicationId","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"description":"OK"}},"tags":["variant-controller"]},"put":{"description":"Updates an entity by id","operationId":"update","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"description":"OK"}},"summary":"Updates an entity by id","tags":["variant-controller"]}},"/rest/web-panel/requirements/{issueId}":{"get":{"deprecated":true,"description":"Gets the list of {@link DTORequirement DTORequirement} for this issue.","operationId":"getRequirements_1","parameters":[{"description":"the issue id, used on an Atlassian request to get the content of the custom field","in":"path","name":"issueId","required":true,"schema":{"type":"integer","format":"int64"}},{"description":"boolean used if we need to refresh the cache of space permission And refresh the JiraLink in the database","in":"query","name":"refreshCache","required":false,"schema":{"type":"boolean","default":false}},{"description":"the key of the requirement","in":"query","name":"searchedRequirementKey","required":false,"schema":{"maxLength":255,"minLength":0,"type":"string","default":""}}],"responses":{"200":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseWithMessageDTORequirement"}}},"description":"a list of DTORequirement filtered by space permission"}},"summary":"Gets the list of {@link DTORequirement DTORequirement} for this issue.","tags":["web-panel-controller"]}}},"components":{"schemas":{"AbstractMark":{"required":["attrs","type"],"type":"object","properties":{"attrs":{"$ref":"#/components/schemas/JsonNode"},"type":{"type":"string","enum":["alignment","code","em","link","strike","strong","subsup","textColor","backgroundColor","underline","indentation","unknown"]}},"discriminator":{"propertyName":"type"}},"AbstractNode":{"type":"object","properties":{"attrs":{"$ref":"#/components/schemas/JsonNode"},"marks":{"type":"array","nullable":true,"items":{"oneOf":[{"$ref":"#/components/schemas/Alignment"},{"$ref":"#/components/schemas/BackgroundColor"},{"$ref":"#/components/schemas/Code"},{"$ref":"#/components/schemas/Em"},{"$ref":"#/components/schemas/Indentation"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Strike"},{"$ref":"#/components/schemas/Strong"},{"$ref":"#/components/schemas/SubSup"},{"$ref":"#/components/schemas/TextColor"},{"$ref":"#/components/schemas/Underline"}]}},"type":{"type":"string","nullable":true}},"discriminator":{"propertyName":"type"}},"AddApplinkPayload":{"required":["targetApplicationId","targetOrganizationId"],"type":"object","properties":{"targetApplicationId":{"type":"integer","format":"int64"},"targetOrganizationId":{"type":"string","format":"uuid"}}},"Alignment":{"required":["attrs","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractMark"}]},"AppLinkSummary":{"required":["applicationId","confluenceBaseUrl","confluenceValidated","jiraBaseUrl","jiraValidated","organizationId","ryIssueLinksCount"],"type":"object","properties":{"applicationId":{"type":"integer","format":"int64"},"confluenceBaseUrl":{"type":"string"},"confluenceValidated":{"type":"boolean"},"jiraBaseUrl":{"type":"string"},"jiraValidated":{"type":"boolean"},"organizationId":{"type":"string","format":"uuid"},"ryIssueLinksCount":{"type":"integer","format":"int64"}}},"AppLinkSummaryWithIntegration":{"required":["applicationId","applinkSummary","confluenceAppId","confluenceBaseUrl","confluenceValidated","jiraAppId","jiraBaseUrl","jiraValidated","organizationId","ryIssueLinksCount","userHasZephyrToken"],"type":"object","properties":{"applicationId":{"type":"integer","format":"int64"},"applinkSummary":{"$ref":"#/components/schemas/AppLinkSummary"},"confluenceAppId":{"type":"integer","format":"int64"},"confluenceBaseUrl":{"type":"string"},"confluenceValidated":{"type":"boolean"},"jiraAppId":{"type":"integer","format":"int64"},"jiraBaseUrl":{"type":"string"},"jiraValidated":{"type":"boolean"},"organizationId":{"type":"string","format":"uuid"},"ryIssueLinksCount":{"type":"integer","format":"int64"},"userHasZephyrToken":{"type":"boolean"}}},"ApplicationRole":{"type":"object","properties":{"defaultGroups":{"uniqueItems":true,"type":"array","nullable":true,"items":{"type":"string"}},"defaultGroupsDetails":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/GroupName"}},"defined":{"type":"boolean","nullable":true},"groupDetails":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/GroupName"}},"groups":{"uniqueItems":true,"type":"array","nullable":true,"items":{"type":"string"}},"hasUnlimitedSeats":{"type":"boolean","nullable":true},"key":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"numberOfSeats":{"type":"integer","format":"int32","nullable":true},"platform":{"type":"boolean","nullable":true},"remainingSeats":{"type":"integer","format":"int32","nullable":true},"selectedByDefault":{"type":"boolean","nullable":true},"userCount":{"type":"integer","format":"int32","nullable":true},"userCountDescription":{"type":"string","nullable":true}}},"ApplinkPayload":{"required":["link","targetAppId"],"type":"object","properties":{"link":{"type":"boolean"},"targetAppId":{"type":"integer","format":"int64"}}},"AttachmentSingleLabels":{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/OptionalFieldLinks"},"meta":{"$ref":"#/components/schemas/OptionalFieldMeta"},"results":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Label"}}}},"AttachmentSingleOperations":{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/OptionalFieldLinks"},"meta":{"$ref":"#/components/schemas/OptionalFieldMeta"},"results":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Operation"}}}},"AttachmentSingleProperties":{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/OptionalFieldLinks"},"meta":{"$ref":"#/components/schemas/OptionalFieldMeta"},"results":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/ContentProperty"}}}},"AttachmentSingleVersions":{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/OptionalFieldLinks"},"meta":{"$ref":"#/components/schemas/OptionalFieldMeta"},"results":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Version"}}}},"AvatarUrlsBean":{"type":"object","properties":{"16x16":{"type":"string","format":"uri","nullable":true},"24x24":{"type":"string","format":"uri","nullable":true},"32x32":{"type":"string","format":"uri","nullable":true},"48x48":{"type":"string","format":"uri","nullable":true}}},"BackgroundColor":{"required":["attrs","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractMark"}]},"BlockCard":{"required":["text"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"text":{"type":"string"}}}]},"Blockquote":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"content":{"type":"array","nullable":true,"items":{"oneOf":[{"$ref":"#/components/schemas/BlockCard"},{"$ref":"#/components/schemas/Blockquote"},{"$ref":"#/components/schemas/BodiedExtension"},{"$ref":"#/components/schemas/BulletList"},{"$ref":"#/components/schemas/Caption"},{"$ref":"#/components/schemas/CodeBlock"},{"$ref":"#/components/schemas/Date"},{"$ref":"#/components/schemas/DecisionItem"},{"$ref":"#/components/schemas/DecisionList"},{"$ref":"#/components/schemas/Doc"},{"$ref":"#/components/schemas/EmbedCard"},{"$ref":"#/components/schemas/Emoji"},{"$ref":"#/components/schemas/Expand"},{"$ref":"#/components/schemas/Extension"},{"$ref":"#/components/schemas/HardBreak"},{"$ref":"#/components/schemas/Heading"},{"$ref":"#/components/schemas/InlineCard"},{"$ref":"#/components/schemas/InlineExtension"},{"$ref":"#/components/schemas/LayoutColumn"},{"$ref":"#/components/schemas/LayoutSection"},{"$ref":"#/components/schemas/ListItem"},{"$ref":"#/components/schemas/Media"},{"$ref":"#/components/schemas/MediaGroup"},{"$ref":"#/components/schemas/MediaInline"},{"$ref":"#/components/schemas/MediaSingle"},{"$ref":"#/components/schemas/Mention"},{"$ref":"#/components/schemas/NestedExpand"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/Panel"},{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Placeholder"},{"$ref":"#/components/schemas/RichMedia"},{"$ref":"#/components/schemas/Rule"},{"$ref":"#/components/schemas/Status"},{"$ref":"#/components/schemas/Table"},{"$ref":"#/components/schemas/TableCell"},{"$ref":"#/components/schemas/TableHeader"},{"$ref":"#/components/schemas/TableRow"},{"$ref":"#/components/schemas/TaskItem"},{"$ref":"#/components/schemas/TaskList"},{"$ref":"#/components/schemas/Text"}]}}}}]},"BlogPostSingleLikes":{"type":"object","properties":{"_links":{"$ref":"#/components/schemas/OptionalFieldLinks"},"meta":{"$ref":"#/components/schemas/OptionalFieldMeta"},"results":{"type":"array","nullable":true,"items":{"$ref":"#/components/schemas/Like"}}}},"BodiedExtension":{"required":["extensionKey"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"content":{"type":"array","nullable":true,"items":{"oneOf":[{"$ref":"#/components/schemas/BlockCard"},{"$ref":"#/components/schemas/Blockquote"},{"$ref":"#/components/schemas/BodiedExtension"},{"$ref":"#/components/schemas/BulletList"},{"$ref":"#/components/schemas/Caption"},{"$ref":"#/components/schemas/CodeBlock"},{"$ref":"#/components/schemas/Date"},{"$ref":"#/components/schemas/DecisionItem"},{"$ref":"#/components/schemas/DecisionList"},{"$ref":"#/components/schemas/Doc"},{"$ref":"#/components/schemas/EmbedCard"},{"$ref":"#/components/schemas/Emoji"},{"$ref":"#/components/schemas/Expand"},{"$ref":"#/components/schemas/Extension"},{"$ref":"#/components/schemas/HardBreak"},{"$ref":"#/components/schemas/Heading"},{"$ref":"#/components/schemas/InlineCard"},{"$ref":"#/components/schemas/InlineExtension"},{"$ref":"#/components/schemas/LayoutColumn"},{"$ref":"#/components/schemas/LayoutSection"},{"$ref":"#/components/schemas/ListItem"},{"$ref":"#/components/schemas/Media"},{"$ref":"#/components/schemas/MediaGroup"},{"$ref":"#/components/schemas/MediaInline"},{"$ref":"#/components/schemas/MediaSingle"},{"$ref":"#/components/schemas/Mention"},{"$ref":"#/components/schemas/NestedExpand"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/Panel"},{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Placeholder"},{"$ref":"#/components/schemas/RichMedia"},{"$ref":"#/components/schemas/Rule"},{"$ref":"#/components/schemas/Status"},{"$ref":"#/components/schemas/Table"},{"$ref":"#/components/schemas/TableCell"},{"$ref":"#/components/schemas/TableHeader"},{"$ref":"#/components/schemas/TableRow"},{"$ref":"#/components/schemas/TaskItem"},{"$ref":"#/components/schemas/TaskList"},{"$ref":"#/components/schemas/Text"}]}},"extensionKey":{"type":"string"}}}]},"BodySingle":{"type":"object","properties":{"atlas_doc_format":{"$ref":"#/components/schemas/BodyType"},"storage":{"$ref":"#/components/schemas/BodyType"},"styled_view":{"$ref":"#/components/schemas/BodyType"},"view":{"$ref":"#/components/schemas/BodyType"}}},"BodyType":{"type":"object","properties":{"representation":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}}},"Breadcrumb":{"required":["label","separator","url"],"type":"object","properties":{"label":{"type":"string"},"separator":{"type":"string"},"url":{"type":"string"}}},"BulkUserLookupExpandable":{"type":"object","properties":{"details":{"type":"string","nullable":true},"operations":{"type":"string","nullable":true},"personalSpace":{"type":"string","nullable":true}}},"BulletList":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"content":{"type":"array","nullable":true,"items":{"oneOf":[{"$ref":"#/components/schemas/BlockCard"},{"$ref":"#/components/schemas/Blockquote"},{"$ref":"#/components/schemas/BodiedExtension"},{"$ref":"#/components/schemas/BulletList"},{"$ref":"#/components/schemas/Caption"},{"$ref":"#/components/schemas/CodeBlock"},{"$ref":"#/components/schemas/Date"},{"$ref":"#/components/schemas/DecisionItem"},{"$ref":"#/components/schemas/DecisionList"},{"$ref":"#/components/schemas/Doc"},{"$ref":"#/components/schemas/EmbedCard"},{"$ref":"#/components/schemas/Emoji"},{"$ref":"#/components/schemas/Expand"},{"$ref":"#/components/schemas/Extension"},{"$ref":"#/components/schemas/HardBreak"},{"$ref":"#/components/schemas/Heading"},{"$ref":"#/components/schemas/InlineCard"},{"$ref":"#/components/schemas/InlineExtension"},{"$ref":"#/components/schemas/LayoutColumn"},{"$ref":"#/components/schemas/LayoutSection"},{"$ref":"#/components/schemas/ListItem"},{"$ref":"#/components/schemas/Media"},{"$ref":"#/components/schemas/MediaGroup"},{"$ref":"#/components/schemas/MediaInline"},{"$ref":"#/components/schemas/MediaSingle"},{"$ref":"#/components/schemas/Mention"},{"$ref":"#/components/schemas/NestedExpand"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/Panel"},{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Placeholder"},{"$ref":"#/components/schemas/RichMedia"},{"$ref":"#/components/schemas/Rule"},{"$ref":"#/components/schemas/Status"},{"$ref":"#/components/schemas/Table"},{"$ref":"#/components/schemas/TableCell"},{"$ref":"#/components/schemas/TableHeader"},{"$ref":"#/components/schemas/TableRow"},{"$ref":"#/components/schemas/TaskItem"},{"$ref":"#/components/schemas/TaskList"},{"$ref":"#/components/schemas/Text"}]}}}}]},"ButtonLookAndFeel":{"required":["backgroundColor","color"],"type":"object","properties":{"backgroundColor":{"type":"string"},"color":{"type":"string"}}},"Caption":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"content":{"type":"array","nullable":true,"items":{"oneOf":[{"$ref":"#/components/schemas/BlockCard"},{"$ref":"#/components/schemas/Blockquote"},{"$ref":"#/components/schemas/BodiedExtension"},{"$ref":"#/components/schemas/BulletList"},{"$ref":"#/components/schemas/Caption"},{"$ref":"#/components/schemas/CodeBlock"},{"$ref":"#/comp
[...]
